io.flutter.plugin.platform

## Class PlatformViewFactory

- java.lang.Object
- - io.flutter.plugin.platform.PlatformViewFactory

-     public abstract class PlatformViewFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformViewFactory(MessageCodec<Object> createArgsCodec)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract PlatformView` | `create(Context context, int viewId, Object args)` Creates a new Android view to be embedded in the Flutter hierarchy.
    `MessageCodec<Object>` | `getCreateArgsCodec()` Returns the codec to be used for decoding the args parameter of `create(android.content.Context, int, java.lang.Object)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformViewFactory

          public PlatformViewFactory(MessageCodec<Object> createArgsCodec)

      Parameters:
        `createArgsCodec` - the codec used to decode the args parameter of `create(android.content.Context, int, java.lang.Object)`.

  - ### Method Detail

    - #### create

          public abstract PlatformView create(Context context,
                                              int viewId,
                                              Object args)

      Creates a new Android view to be embedded in the Flutter hierarchy.
      Parameters:
        `context` - the context to be used when creating the view, this is different than FlutterView's context.
        `viewId` - unique identifier for the created instance, this value is known on the Dart side.
        `args` - arguments sent from the Flutter app. The bytes for this value are decoded using the createArgsCodec argument passed to the constructor. This is null if createArgsCodec was null, or no arguments were sent from the Flutter app.

    - #### getCreateArgsCodec

          public final MessageCodec<Object> getCreateArgsCodec()

      Returns the codec to be used for decoding the args parameter of `create(android.content.Context, int, java.lang.Object)`.